Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs	(revision 4302)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs	(revision 4305)
@@ -58,3 +58,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.0.4296")]
+[assembly: AssemblyFileVersion("3.3.0.4302")]
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln	(revision 4302)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln	(revision 4305)
@@ -78,4 +78,7 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Experiment-3.3", "HeuristicLab.Hive.Experiment\3.3\HeuristicLab.Hive.Experiment-3.3.csproj", "{A84C0A25-13D0-40A6-924F-53556D9691DC}"
+	ProjectSection(ProjectDependencies) = postProject
+		{898B31CF-81DC-453B-AEB3-BDF83197A7EE} = {898B31CF-81DC-453B-AEB3-BDF83197A7EE}
+	EndProjectSection
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Experiment.Views-3.3", "HeuristicLab.Hive.Experiment.Views\3.3\HeuristicLab.Hive.Experiment.Views-3.3.csproj", "{4F15BEA2-F494-4584-A0E5-6BA85377B313}"
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/Interfaces/ISlaveCommunicator.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/Interfaces/ISlaveCommunicator.cs	(revision 4302)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/Interfaces/ISlaveCommunicator.cs	(revision 4305)
@@ -40,5 +40,5 @@
     /// </summary>
     [OperationContract]
-    Response Login(Guid slaveId);
+    Response Login(SlaveDto slave);
 
     [OperationContract]
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/WcfSettings.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/WcfSettings.cs	(revision 4302)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/WcfSettings.cs	(revision 4305)
@@ -15,4 +15,5 @@
     public const string ServerConsoleServiceName = "ServerConsoleService";
     public const string ClientServiceName = "ClientService";
+    public const string ClientStreamedServiceName = "ClientServiceStreamed";
 
     public const int DefaultPort = 9000;
@@ -57,17 +58,17 @@
     }
 
-    /// <summary>
-    /// Defines the used certificate for authentification located in a certification store.
-    /// </summary>
-    /// <param name="svchost">A service for which this certificate is applicable.</param>
-    public static void SetServiceCertificate(ServiceHost svchost) {
-#if USE_MSG_BINDING
-      svchost.Credentials.ServiceCertificate.SetCertificate(
-        StoreLocation.LocalMachine,
-        StoreName.My,
-        X509FindType.FindBySubjectName,
-        SERVERCERT);
-#endif
-    }
+//    /// <summary>
+//    /// Defines the used certificate for authentification located in a certification store.
+//    /// </summary>
+//    /// <param name="svchost">A service for which this certificate is applicable.</param>
+//    public static void SetServiceCertificate(ServiceHost svchost) {
+//#if USE_MSG_BINDING
+//      svchost.Credentials.ServiceCertificate.SetCertificate(
+//        StoreLocation.LocalMachine,
+//        StoreName.My,
+//        X509FindType.FindBySubjectName,
+//        SERVERCERT);
+//#endif
+//    }
 
     /// <summary>
@@ -77,15 +78,5 @@
     /// <returns></returns>
     public static IPAddress GetActiveIP() {
-      //return IPAddress.Parse("127.0.0.1");
       return System.Net.NetworkInformation.IPGlobalProperties.GetIPGlobalProperties().GetActiveTcpConnections()[0].LocalEndPoint.Address;
-      //IPAddress[] addresses;
-      //addresses = Dns.GetHostAddresses(Dns.GetHostName());
-      //int index = 0;
-      //if (System.Environment.OSVersion.Version.Major >= 6) {
-      //  for (index = addresses.Length - 1; index >= 0; index--)
-      //    if (addresses[index].AddressFamily == System.Net.Sockets.AddressFamily.InterNetwork)
-      //      break;
-      //}
-      //return addresses[index];
     }
 
@@ -106,4 +97,5 @@
       endpoint.Address = builder.ToEndpointAddress();
     }
+
   }
 
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentView.Designer.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentView.Designer.cs	(revision 4302)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentView.Designer.cs	(revision 4305)
@@ -64,7 +64,7 @@
       this.executionTimeTextBox = new System.Windows.Forms.TextBox();
       this.pauseButton = new System.Windows.Forms.Button();
-      this.ServerUrlLabel = new System.Windows.Forms.Label();
+      this.ServerIpLabel = new System.Windows.Forms.Label();
       this.resourceIdsLabel = new System.Windows.Forms.Label();
-      this.serverUrlTextBox = new System.Windows.Forms.TextBox();
+      this.serverIpTextBox = new System.Windows.Forms.TextBox();
       this.resourceIdsTextBox = new System.Windows.Forms.TextBox();
       this.disconnectButton = new System.Windows.Forms.Button();
@@ -304,10 +304,10 @@
       // ServerUrlLabel
       // 
-      this.ServerUrlLabel.AutoSize = true;
-      this.ServerUrlLabel.Location = new System.Drawing.Point(1, 53);
-      this.ServerUrlLabel.Name = "ServerUrlLabel";
-      this.ServerUrlLabel.Size = new System.Drawing.Size(51, 13);
-      this.ServerUrlLabel.TabIndex = 11;
-      this.ServerUrlLabel.Text = "ServerUrl";
+      this.ServerIpLabel.AutoSize = true;
+      this.ServerIpLabel.Location = new System.Drawing.Point(1, 53);
+      this.ServerIpLabel.Name = "ServerIpLabel";
+      this.ServerIpLabel.Size = new System.Drawing.Size(51, 13);
+      this.ServerIpLabel.TabIndex = 11;
+      this.ServerIpLabel.Text = "ServerIp";
       // 
       // resourceIdsLabel
@@ -322,12 +322,12 @@
       // serverUrlTextBox
       // 
-      this.serverUrlTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.serverUrlTextBox.Location = new System.Drawing.Point(72, 50);
-      this.serverUrlTextBox.Name = "serverUrlTextBox";
-      this.serverUrlTextBox.Size = new System.Drawing.Size(663, 20);
-      this.serverUrlTextBox.TabIndex = 13;
-      this.serverUrlTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.serverUrlTextBox_Validating);
-      this.serverUrlTextBox.Validated += new System.EventHandler(this.serverUrlTextBox_Validated);
+      this.serverIpTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.serverIpTextBox.Location = new System.Drawing.Point(72, 50);
+      this.serverIpTextBox.Name = "serverIpTextBox";
+      this.serverIpTextBox.Size = new System.Drawing.Size(663, 20);
+      this.serverIpTextBox.TabIndex = 13;
+      this.serverIpTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.serverUrlTextBox_Validating);
+      this.serverIpTextBox.Validated += new System.EventHandler(this.serverUrlTextBox_Validated);
       // 
       // resourceIdsTextBox
@@ -372,5 +372,5 @@
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
       this.Controls.Add(this.resourceIdsTextBox);
-      this.Controls.Add(this.serverUrlTextBox);
+      this.Controls.Add(this.serverIpTextBox);
       this.Controls.Add(this.resourceIdsLabel);
       this.Controls.Add(this.tabControl);
@@ -379,5 +379,5 @@
       this.Controls.Add(this.executionTimeTextBox);
       this.Controls.Add(this.executionTimeLabel);
-      this.Controls.Add(this.ServerUrlLabel);
+      this.Controls.Add(this.ServerIpLabel);
       this.Controls.Add(this.pauseButton);
       this.Controls.Add(this.stopButton);
@@ -390,5 +390,5 @@
       this.Controls.SetChildIndex(this.stopButton, 0);
       this.Controls.SetChildIndex(this.pauseButton, 0);
-      this.Controls.SetChildIndex(this.ServerUrlLabel, 0);
+      this.Controls.SetChildIndex(this.ServerIpLabel, 0);
       this.Controls.SetChildIndex(this.executionTimeLabel, 0);
       this.Controls.SetChildIndex(this.executionTimeTextBox, 0);
@@ -397,5 +397,5 @@
       this.Controls.SetChildIndex(this.tabControl, 0);
       this.Controls.SetChildIndex(this.resourceIdsLabel, 0);
-      this.Controls.SetChildIndex(this.serverUrlTextBox, 0);
+      this.Controls.SetChildIndex(this.serverIpTextBox, 0);
       this.Controls.SetChildIndex(this.resourceIdsTextBox, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
@@ -424,7 +424,7 @@
     private System.Windows.Forms.Button pauseButton;
     private System.Windows.Forms.TabPage hiveStatusTabPage;
-    private System.Windows.Forms.Label ServerUrlLabel;
+    private System.Windows.Forms.Label ServerIpLabel;
     private System.Windows.Forms.Label resourceIdsLabel;
-    private System.Windows.Forms.TextBox serverUrlTextBox;
+    private System.Windows.Forms.TextBox serverIpTextBox;
     private System.Windows.Forms.TextBox resourceIdsTextBox;
     private System.Windows.Forms.Button viewExperimentButton;
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentView.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentView.cs	(revision 4302)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentView.cs	(revision 4305)
@@ -29,4 +29,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Optimization.Views;
+using HeuristicLab.Hive.Experiment.Properties;
 
 namespace HeuristicLab.Hive.Experiment.Views {
@@ -82,5 +83,5 @@
         executionTimeTextBox.Text = Content.ExecutionTime.ToString();
         resourceIdsTextBox.Text = Content.ResourceIds;
-        serverUrlTextBox.Text = Content.ServerUrl;
+        serverIpTextBox.Text = Settings.Default.HiveServerIp;
         experimentNamedItemView.Content = Content.Experiment;
         logView.Content = Content.Log;
@@ -193,15 +194,15 @@
 
     private void serverUrlTextBox_Validating(object sender, System.ComponentModel.CancelEventArgs e) {
-      if (string.IsNullOrEmpty(serverUrlTextBox.Text)) {
+      if (string.IsNullOrEmpty(serverIpTextBox.Text)) {
         e.Cancel = true;
-        errorProvider.SetError(serverUrlTextBox, "ServerUrl cannot be empty");
-        serverUrlTextBox.SelectAll();
+        errorProvider.SetError(serverIpTextBox, "ServerUrl cannot be empty");
+        serverIpTextBox.SelectAll();
         return;
       }
-      Content.ServerUrl = serverUrlTextBox.Text;
+      Settings.Default.HiveServerIp = serverIpTextBox.Text;
     }
 
     private void serverUrlTextBox_Validated(object sender, EventArgs e) {
-      errorProvider.SetError(serverUrlTextBox, string.Empty);
+      errorProvider.SetError(serverIpTextBox, string.Empty);
     }
 
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HeuristicLab.Hive.Experiment-3.3.csproj
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HeuristicLab.Hive.Experiment-3.3.csproj	(revision 4302)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HeuristicLab.Hive.Experiment-3.3.csproj	(revision 4305)
@@ -85,4 +85,5 @@
     <Reference Include="System.Core" />
     <Reference Include="System.Drawing" />
+    <Reference Include="System.Runtime.Serialization" />
     <Reference Include="System.ServiceModel" />
     <Reference Include="System.Xml.Linq" />
@@ -104,5 +105,4 @@
     </Compile>
     <Compile Include="ServiceLocator.cs" />
-    <Compile Include="Settings.cs" />
   </ItemGroup>
   <ItemGroup>
@@ -113,7 +113,8 @@
     <None Include="Properties\AssemblyInfo.frame" />
     <None Include="Properties\Settings.settings">
-      <Generator>SettingsSingleFileGenerator</Generator>
+      <Generator>PublicSettingsSingleFileGenerator</Generator>
       <LastGenOutput>Settings.Designer.cs</LastGenOutput>
     </None>
+    <None Include="Tools\RecreateServiceConfig.bat" />
   </ItemGroup>
   <ItemGroup>
@@ -130,4 +131,7 @@
       <Name>HeuristicLab.Hive.JobBase-3.3</Name>
     </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <WCFMetadata Include="Service References\" />
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HiveExperiment.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HiveExperiment.cs	(revision 4302)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HiveExperiment.cs	(revision 4305)
@@ -43,4 +43,5 @@
 using System.ServiceModel;
 using HeuristicLab.Hive.Contracts.ResponseObjects;
+using HeuristicLab.Hive.Experiment.Properties;
 
 namespace HeuristicLab.Hive.Experiment {
@@ -90,5 +91,5 @@
       }
     }
-    
+
     #region Storable Properties
     [Storable]
@@ -114,17 +115,4 @@
     public JobItemList JobItems {
       get { return jobItems; }
-    }
-
-
-    [Storable]
-    private string serverUrl;
-    public string ServerUrl {
-      get { return serverUrl; }
-      set {
-        if (serverUrl != value) {
-          serverUrl = value;
-          OnServerUrlChanged();
-        }
-      }
     }
 
@@ -191,5 +179,4 @@
     public HiveExperiment()
       : base(itemName, itemDescription) {
-      this.ServerUrl = HeuristicLab.Hive.Experiment.Properties.Settings.Default.HiveServerUrl;
       this.ResourceIds = HeuristicLab.Hive.Experiment.Properties.Settings.Default.ResourceIds;
       this.log = new Log();
@@ -205,5 +192,4 @@
       HiveExperiment clone = (HiveExperiment)base.Clone(cloner);
       clone.resourceIds = this.resourceIds;
-      clone.serverUrl = this.serverUrl;
       clone.experiment = (HeuristicLab.Optimization.Experiment)cloner.Clone(experiment);
       clone.executionState = this.executionState;
@@ -279,5 +265,5 @@
 
       Thread t = new Thread(() => {
-        IClientFacade clientFacade = GetClientFacade();
+        IClientFacade clientFacade = CreateStreamedClientFacade();
 
         try {
@@ -307,5 +293,6 @@
             LogMessage(jobItem.JobDto.Id, "Job sent to Hive");
           }
-        } catch (Exception e) {
+        }
+        catch (Exception e) {
           LogMessage("Error: Starting HiveExperiment failed: " + e.Message);
           this.ExecutionState = Core.ExecutionState.Stopped;
@@ -468,5 +455,5 @@
     private void FetchAndUpdateJob(Guid jobId) {
       LogMessage(jobId, "FetchAndUpdateJob started");
-      IClientFacade clientFacade = GetClientFacade();
+      IClientFacade clientFacade = CreateStreamedClientFacade();
       IOptimizer originalOptimizer;
       lock (pendingOptimizersByJobId) {
@@ -490,5 +477,5 @@
 
     public void AbortJob(Guid jobId) {
-      IClientFacade clientFacade = GetClientFacade();
+      IClientFacade clientFacade = CreateClientFacade();
       Response response = clientFacade.AbortJob(jobId);
       LogMessage(jobId, "Aborting Job: " + response.StatusMessage);
@@ -554,5 +541,5 @@
         try {
           do {
-            IClientFacade clientFacade = GetClientFacade();
+            IClientFacade clientFacade = CreateStreamedClientFacade();
             IEnumerable<Guid> jobIdsToQuery = from job in JobItems
                                               where job.State != JobState.Finished &&
@@ -571,5 +558,6 @@
                   throw new Exception(response.StatusMessage.ToString());
                 }
-              } catch (Exception e) {
+              }
+              catch (Exception e) {
                 LogMessage("Polling results failed: " + e.Message);
               }
@@ -582,7 +570,9 @@
             }
           } while (!this.stopResultsPollingPending);
-        } catch (ThreadInterruptedException exception) {
+        }
+        catch (ThreadInterruptedException exception) {
           // thread has been interuppted
-        } finally {
+        }
+        finally {
           this.IsPollingResults = false;
         }
@@ -601,5 +591,5 @@
     public void RequestSnapshot(Guid jobId) {
       Thread t = new Thread(() => {
-        IClientFacade clientFacade = GetClientFacade();
+        IClientFacade clientFacade = CreateStreamedClientFacade();
         ResponseObject<SerializedJob> response;
         int retryCount = 0;
@@ -876,9 +866,10 @@
 
     #region Helper Functions
-    private IClientFacade GetClientFacade() {
+    private IClientFacade CreateClientFacade() {
       IClientFacade clientFacade = null;
       do {
         try {
-          clientFacade = ServiceLocator.CreateClientFacade(ServerUrl);
+          clientFacade = ServiceLocator.CreateClientFacade(string.Format("http://{0}:{1}/{2}", Settings.Default.HiveServerIp, Settings.Default.HiveServerPort, WcfSettings.ClientServiceName));
+
         } catch (EndpointNotFoundException exception) {
           LogMessage("Could not connect to Server: " + exception.Message + ". Will try again in " + (resultPollingIntervalMs / 1000) + " sec.");
@@ -889,4 +880,17 @@
     }
 
+    private IClientFacade CreateStreamedClientFacade() {
+      IClientFacade clientFacade = null;
+      do {
+        try {
+          clientFacade = ServiceLocator.CreateStreamedClientFacade(string.Format("http://{0}:{1}/{2}", Settings.Default.HiveServerIp, Settings.Default.HiveServerPort, WcfSettings.ClientStreamedServiceName));
+
+        } catch (EndpointNotFoundException exception) {
+          LogMessage("Could not connect to Server: " + exception.Message + ". Will try again in " + (resultPollingIntervalMs / 1000) + " sec.");
+          Thread.Sleep(resultPollingIntervalMs);
+        }
+      } while (clientFacade == null && this.ExecutionState != Core.ExecutionState.Stopped);
+      return clientFacade;
+    }
 
     private void AddRange(IDictionary<IOptimizer, IOptimizer> optimizers, IDictionary<IOptimizer, IOptimizer> childs) {
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/Properties/Settings.Designer.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/Properties/Settings.Designer.cs	(revision 4302)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/Properties/Settings.Designer.cs	(revision 4305)
@@ -14,5 +14,5 @@
     [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
     [global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "10.0.0.0")]
-    internal sealed partial class Settings : global::System.Configuration.ApplicationSettingsBase {
+    public sealed partial class Settings : global::System.Configuration.ApplicationSettingsBase {
         
         private static Settings defaultInstance = ((Settings)(global::System.Configuration.ApplicationSettingsBase.Synchronized(new Settings())));
@@ -21,16 +21,4 @@
             get {
                 return defaultInstance;
-            }
-        }
-        
-        [global::System.Configuration.UserScopedSettingAttribute()]
-        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
-        [global::System.Configuration.DefaultSettingValueAttribute("net.tcp://10.42.1.153:9000/ExecutionEngine/ExecutionEngineFacade")]
-        public string HiveServerUrl {
-            get {
-                return ((string)(this["HiveServerUrl"]));
-            }
-            set {
-                this["HiveServerUrl"] = value;
             }
         }
@@ -47,4 +35,52 @@
             }
         }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("localhost")]
+        public string HiveServerIp {
+            get {
+                return ((string)(this["HiveServerIp"]));
+            }
+            set {
+                this["HiveServerIp"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("cneumueller")]
+        public string HiveUsername {
+            get {
+                return ((string)(this["HiveUsername"]));
+            }
+            set {
+                this["HiveUsername"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("cneumueller")]
+        public string HivePassword {
+            get {
+                return ((string)(this["HivePassword"]));
+            }
+            set {
+                this["HivePassword"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("9000")]
+        public string HiveServerPort {
+            get {
+                return ((string)(this["HiveServerPort"]));
+            }
+            set {
+                this["HiveServerPort"] = value;
+            }
+        }
     }
 }
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/Properties/Settings.settings
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/Properties/Settings.settings	(revision 4302)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/Properties/Settings.settings	(revision 4305)
@@ -3,10 +3,19 @@
   <Profiles />
   <Settings>
-    <Setting Name="HiveServerUrl" Type="System.String" Scope="User">
-      <Value Profile="(Default)">net.tcp://10.42.1.153:9000/ExecutionEngine/ExecutionEngineFacade</Value>
-    </Setting>
     <Setting Name="ResourceIds" Type="System.String" Scope="User">
       <Value Profile="(Default)">MyGroup</Value>
     </Setting>
+    <Setting Name="HiveServerIp" Type="System.String" Scope="User">
+      <Value Profile="(Default)">localhost</Value>
+    </Setting>
+    <Setting Name="HiveUsername" Type="System.String" Scope="User">
+      <Value Profile="(Default)">cneumueller</Value>
+    </Setting>
+    <Setting Name="HivePassword" Type="System.String" Scope="User">
+      <Value Profile="(Default)">cneumueller</Value>
+    </Setting>
+    <Setting Name="HiveServerPort" Type="System.String" Scope="User">
+      <Value Profile="(Default)">9000</Value>
+    </Setting>
   </Settings>
 </SettingsFile>
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/ServiceLocator.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/ServiceLocator.cs	(revision 4302)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/ServiceLocator.cs	(revision 4305)
@@ -27,12 +27,28 @@
 using System.ServiceModel;
 using HeuristicLab.Hive.Contracts;
+using HeuristicLab.Hive.Experiment.Properties;
 
 namespace HeuristicLab.Hive.Experiment {
   internal class ServiceLocator {
     internal static IClientFacade CreateClientFacade(string url) {
-      ChannelFactory<IClientFacade> factory = new ChannelFactory<IClientFacade>(
-          WcfSettings.GetStreamedBinding(),
-          new EndpointAddress(url));
-      return factory.CreateChannel();
+      ChannelFactory<IClientFacade> factory = new ChannelFactory<IClientFacade>("ClientHttpEndpoint");
+      WcfSettings.SetEndpointAddress(factory.Endpoint, url);
+
+      factory.Credentials.UserName.UserName = Settings.Default.HiveUsername;
+      factory.Credentials.UserName.Password = Settings.Default.HivePassword;
+
+      IClientFacade client = factory.CreateChannel();
+      return client;
+    }
+
+    internal static IClientFacade CreateStreamedClientFacade(string url) {
+      ChannelFactory<IClientFacade> factory = new ChannelFactory<IClientFacade>("ClientStreamedHttpEndpoint");
+      WcfSettings.SetEndpointAddress(factory.Endpoint, url);
+
+      factory.Credentials.UserName.UserName = Settings.Default.HiveUsername;
+      factory.Credentials.UserName.Password = Settings.Default.HivePassword;
+
+      IClientFacade client = factory.CreateChannel();
+      return client;
     }
   }
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/Tools/RecreateServiceConfig.bat
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/Tools/RecreateServiceConfig.bat	(revision 4305)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/Tools/RecreateServiceConfig.bat	(revision 4305)
@@ -0,0 +1,7 @@
+REM This tool updates the app.config with the client-config. IP-Adress may need to be adjusted
+REM ClientFacade.cs is also created, but not needed
+
+SvcUtil.exe ^
+      /noLogo ^
+      http://localhost:9000/ClientService?wsdl ^
+      /config:app.config
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/Tools/RecreateServiceConfig.bat
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/Tools/RecreateServiceConfig.bat	(revision 4302)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/Tools/RecreateServiceConfig.bat	(revision 4305)
@@ -4,5 +4,4 @@
 SvcUtil.exe ^
       /noLogo ^
-      /language:cs ^
-      http://192.168.198.1:9000/ServerConsoleService/?wsdl ^
-      /config:../app.config
+      http://localhost1:9000/ServerConsoleService/?wsdl ^
+      /config:app.config
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Facades/SlaveFacade.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Facades/SlaveFacade.cs	(revision 4302)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Facades/SlaveFacade.cs	(revision 4305)
@@ -51,7 +51,7 @@
     [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
     [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
-    public Response Login(Guid slaveId) {
+    public Response Login(SlaveDto slave) {
       using (contextFactory.GetContext()) {
-        return slaveCommunicator.Login(slaveId);
+        return slaveCommunicator.Login(slave);
       }
     }
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/SlaveCommunicator.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/SlaveCommunicator.cs	(revision 4302)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/SlaveCommunicator.cs	(revision 4305)
@@ -176,26 +176,25 @@
     /// <param name="slaveInfo"></param>
     /// <returns></returns>
-    public Response Login(Guid slaveId) {
+    public Response Login(SlaveDto slave) {
       Response response = new Response();
 
       heartbeatLock.EnterWriteLock();
-      if (lastHeartbeats.ContainsKey(slaveId)) {
-        lastHeartbeats[slaveId] = DateTime.Now;
+      if (lastHeartbeats.ContainsKey(slave.Id)) {
+        lastHeartbeats[slave.Id] = DateTime.Now;
       } else {
-        lastHeartbeats.Add(slaveId, DateTime.Now);
+        lastHeartbeats.Add(slave.Id, DateTime.Now);
       }
       heartbeatLock.ExitWriteLock();
 
-      SlaveDto dbSlave = DaoLocator.SlaveDao.FindById(slaveId);
-
-      //Really set offline? 
-      //Reconnect issues with the currently calculating jobs
-      dbSlave.State = SlaveState.Idle;
-      dbSlave.CalendarSyncStatus = dbSlave != null ? dbSlave.CalendarSyncStatus : CalendarState.NotAllowedToFetch;
+      SlaveDto dbSlave = DaoLocator.SlaveDao.FindById(slave.Id);
+
+      slave.CalendarSyncStatus = dbSlave != null ? dbSlave.CalendarSyncStatus : CalendarState.NotAllowedToFetch;
+      slave.State = SlaveState.Idle;
 
       if (dbSlave == null)
-        DaoLocator.SlaveDao.Insert(dbSlave);
-      else
-        DaoLocator.SlaveDao.Update(dbSlave);
+        DaoLocator.SlaveDao.Insert(slave);
+      else {
+        DaoLocator.SlaveDao.Update(slave);
+      }
 
       return response;
